GET https://api.cryptohopper.com/v1/hopper/{id}/trade/{trade_id}

Returns one trade of the hopper, including the strategy result that triggered it when available.

OAuth scope: read About scopes

strategy_result is null when the trade was not triggered by a strategy or no strategy values were stored.

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade/TRADE_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
trade_id string Required Trade ID.
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": {
        "id": "268001234",
        "exchange": "binance",
        "currency": "BTC",
        "pair": "BTCUSDT",
        "type": "sell",
        "date": "2026-09-20 14:32:10",
        "amount": "0.0015",
        "rate": "65210.5",
        "total": "97.81575",
        "fee": "0.0978",
        "result": "1.52",
        "trigger_strategy": "take-profit",
        "strategy_result": null,
        "buy_id": "268001100",
        "is_short": "0",
        "result_short": "0.00"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.